Bug 838789 - PGRAPH errors in log (gdm login list unreadable)
PGRAPH errors in log (gdm login list unreadable)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 03:07 EDT by Ari Tilli
Modified: 2013-02-13 07:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:51:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ari Tilli 2012-07-10 03:07:36 EDT
Description of problem:

Upgraded to Fedora 16 with yum, gdm login list is totally black, though I can
login by clicking the black area.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.x86_64

How reproducible:
Booted already twice and always the same results. Server is in production
so can not boot that often.

Steps to Reproduce:
1. Boot server
2. Wait for gdm list to appear
  
Actual results:
Black rectangles in middle of screen. I can though login "blindly" and
gnome-shell appears in fall-back mode basically ok. I use ssh to access
so if there are other problems I do not know. 

Expected results:
Normal gdm-login list

Additional info:
Well this might be just related to gdm and themes, but since
/var/log/messages is full of errors, I though this is related to nouveau.

small part of  "cat /var/log/messages | grep nou"

Jul  8 16:32:27 svn-server kernel: [168253.412648] nouveau_ratelimit: 60 callbacks suppressed
Jul  8 16:32:27 svn-server kernel: [168253.412652] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412661] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0184 data 0x00002600
Jul  8 16:32:27 svn-server kernel: [168253.412668] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412675] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0188 data 0x00002600
Jul  8 16:32:27 svn-server kernel: [168253.412681] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412688] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0300 data 0x0000000b
Jul  8 16:32:27 svn-server kernel: [168253.412694] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412701] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0304 data 0x04000400
Jul  8 16:32:27 svn-server kernel: [168253.412707] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412713] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0308 data 0x0071c000
Jul  8 16:32:27 svn-server kernel: [168253.412720] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412726] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x030c data 0x0071c000
Jul  8 16:32:27 svn-server kernel: [168253.412733] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412739] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/6 class 0x004a mthd 0x0314 data 0xffffffff
Jul  8 16:32:27 svn-server kernel: [168253.412746] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412752] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0062 mthd 0x03fc data 0x00000000
Jul  8 16:32:27 svn-server kernel: [168253.412759] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412765] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0062 mthd 0x0400 data 0x00000000
Jul  8 16:32:27 svn-server kernel: [168253.412772] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.412778] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0062 mthd 0x0404 data 0x01000040
Jul  8 16:32:27 svn-server kernel: [168253.491213] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491225] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0184 data 0x00002600
Jul  8 16:32:27 svn-server kernel: [168253.491232] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491239] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0188 data 0x00002600
Jul  8 16:32:27 svn-server kernel: [168253.491245] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491252] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0300 data 0x0000000b
Jul  8 16:32:27 svn-server kernel: [168253.491259] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491265] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0304 data 0x10001000
Jul  8 16:32:27 svn-server kernel: [168253.491271] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491278] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x0308 data 0x00904000
Jul  8 16:32:27 svn-server kernel: [168253.491284] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: BAD_ARGUMENT PROTE                                                        CTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491291] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/7 class 0x0044 mthd 0x030c data 0x00904000
Jul  8 16:32:27 svn-server kernel: [168253.491297] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491304] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/6 class 0x004a mthd 0x0314 data 0xffffffff
Jul  8 16:32:27 svn-server kernel: [168253.491310] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491317] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0062 mthd 0x03fc data 0xdfffff00
Jul  8 16:32:27 svn-server kernel: [168253.491323] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491330] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0062 mthd 0x0400 data 0x01710167
Jul  8 16:32:27 svn-server kernel: [168253.491336] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: BAD_ARGUMENT PRO                                                        TECTION_FAULT
Jul  8 16:32:27 svn-server kernel: [168253.491343] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0062 mthd 0x0404 data 0x00010001
Jul  8 16:32:29 svn-server kernel: [168254.795108] [drm] nouveau 0000:01:05.0: fail ttm_validate
Jul  8 16:32:29 svn-server kernel: [168254.795115] [drm] nouveau 0000:01:05.0: validate vram_list
Jul  8 16:32:29 svn-server kernel: [168254.795122] [drm] nouveau 0000:01:05.0: validate: -12
Jul  8 16:32:29 svn-server kernel: [168254.797542] [drm] nouveau 0000:01:05.0: fail ttm_validate
Jul  8 16:32:29 svn-server kernel: [168254.797547] [drm] nouveau 0000:01:05.0: validate vram_list
Jul  8 16:32:29 svn-server kernel: [168254.797553] [drm] nouveau 0000:01:05.0: validate: -12
Jul  8 16:32:29 svn-server kernel: [168254.800583] [drm] nouveau 0000:01:05.0: fail ttm_validate
Jul  8 16:32:29 svn-server kernel: [168254.800590] [drm] nouveau 0000:01:05.0: validate vram_list
Jul  8 16:32:29 svn-server kernel: [168254.800597] [drm] nouveau 0000:01:05.0: validate: -12
Jul  8 16:32:30 svn-server kernel: [168256.288529] [drm] nouveau 0000:01:05.0: fail ttm_validate
Jul  8 16:32:30 svn-server kernel: [168256.288536] [drm] nouveau 0000:01:05.0: validate vram_list
Jul  8 16:32:30 svn-server kernel: [168256.288543] [drm] nouveau 0000:01:05.0: validate: -12
Jul  8 16:32:34 svn-server kernel: [168260.594510] nouveau_ratelimit: 172 callbacks suppressed
Jul  8 16:32:34 svn-server kernel: [168260.594514] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: INVALID_STATE BA                                                        D_ARGUMENT PROTECTION_FAULT
Jul  8 16:32:34 svn-server kernel: [168260.594524] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0044 mthd 0x0184 data 0x00002600
Jul  8 16:32:34 svn-server kernel: [168260.594531] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: INVALID_STATE BA                                                        D_ARGUMENT PROTECTION_FAULT
Jul  8 16:32:34 svn-server kernel: [168260.594539] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0044 mthd 0x0188 data 0x00002600
Jul  8 16:32:34 svn-server kernel: [168260.594545] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: INVALID_STATE BAD_                                                        ARGUMENT PROTECTION_FAULT
Jul  8 16:32:34 svn-server kernel: [168260.594552] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0044 mthd 0x0300 data 0x0000000b
Jul  8 16:32:34 svn-server kernel: [168260.594559] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: INVALID_STATE BAD_                                                        ARGUMENT PROTECTION_FAULT
Jul  8 16:32:34 svn-server kernel: [168260.594566] [drm] nouveau 0000:01:05.0: PGRAPH - ch 2/4 class 0x0044 mthd 0x0304 data 0x10001000
Jul  8 16:32:34 svn-server kernel: [168260.594572] [drm] nouveau 0000:01:05.0: PGRAPH - ERROR nsource: DATA_ERROR nstatus: INVALID_STATE BAD_           


"lspci":

00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev a2)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:19.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev b2)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5721 Gigabit Ethernet PCI Express (rev 11)
03:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5721 Gigabit Ethernet PCI Express (rev 11)
80:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8132 PCI-X Bridge (rev 11)
80:01.1 PIC: Advanced Micro Devices [AMD] AMD-8132 PCI-X IOAPIC (rev 11)
80:02.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8132 PCI-X Bridge (rev 11)
80:02.1 PIC: Advanced Micro Devices [AMD] AMD-8132 PCI-X IOAPIC (rev 11)
Comment 1 Fedora End Of Life 2013-01-16 07:32:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 07:51:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.